#

Function STREAMP

Syntax:

streamp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type stream; otherwise, returns false.

streamp is unaffected by whether object, if it is a stream, is open or closed.

Examples:

     (streamp *terminal-io*) =>  true
     (streamp 1) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (streamp object) ==  (typep object 'stream)

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- CLOSED-STREAM-OPERATIONS:ALLOW-INQUIRY

Copyright 1996-2001, Xanalys Inc. All rights reserved.